#import "Global.h"
#import "MainView.h"

@implementation MainView

- (id)initWithFrame:(CGRect)frame {
	if (self = [super initWithFrame:frame]) {
	}
	return self;
}

- (void)awakeFromNib {
	/* 바의 배경을 위한 이미지를 로드한다. */
	for (int i = 1; i <= MAX_DATATYPE; i++) {
		barFrame[i - 1] = [[UIImage alloc] initWithContentsOfFile:
		 [[NSBundle mainBundle] pathForResource:[NSString stringWithFormat:@"frame%d", i] ofType:@"png"]];
	}
}

- (void)drawRect:(CGRect)rect {
#define CENTER_X		210  // 바의 중간(0) 위치
#define START_Y			300  // 바가 출력될 Y 위치
#define START_X			120  // 바가 출력될 X 위치
#define BAR_HEIGHT		14.0 // 바의 높이	
#define	BAR_SPACE		40   // 각 바간 간격
	
	// Drawing code
	CGContextRef context = UIGraphicsGetCurrentContext();
	
    int y = START_Y + 15;
	CGPoint point;
	
	point.y = START_Y;
	point.x = START_X;
	
	for (int i = 0; i < MAX_DATATYPE; i++) {
		/* 배경 이미지 출력 */
		[barFrame[i] drawAtPoint:point];
		
        CGContextBeginPath(context);
        CGContextSetLineWidth(context, BAR_HEIGHT);
		
		/* 바이오리듬 값이 0보다 작으면 붉은 색으로 크면 파란색으로 표시 */
        if (bioData[i] > 0)
            CGContextSetRGBStrokeColor(context, 0.0, 0.0, 1.0, 1.0);
        else
            CGContextSetRGBStrokeColor(context, 1.0, 0.0, 0.0, 1.0);
		
		/* 바를 그린다 */
        CGContextMoveToPoint(context, CENTER_X, y);
        CGContextAddLineToPoint(context, CENTER_X + (bioData[i] * 80/100) , y);
		
        CGContextStrokePath(context);

		/* Y 좌표 변경 */
		point.y += BAR_SPACE;
		y += BAR_SPACE;
    }
}

-(void)setData:(int)value1 secondValue:(int)value2 thirdValue:(int)value3 {
	bioData[0] = value1;
	bioData[1] = value2;
	bioData[2] = value3;
}

- (void)dealloc {
	for (int i = 0; i < MAX_DATATYPE; i++) {
		[barFrame[i] release];
	}
	
	[super dealloc];
}

@end
